Skip to content

Amazon Aurora supports PostgreSQL 14.4 version

Following the announcement of updates to the PostgreSQL database by the open source community, AWS has updated Amazon Aurora PostgreSQL-Compatible Edition to support PostgreSQL 14.4. PostgreSQL 14.4 fixes an issue that could cause silent data corruption when using the CREATE INDEX CONCURRENTLY or REINDEX CONCURRENTLY commands. Refer to the Aurora version policy to help you to decide how often to upgrade and how to plan your upgrade process. Aurora has also included the fix for this issue in Aurora PostgreSQL 14.3.

Source:: Amazon AWS